Get a dataset
GET
/v1/datasets/{datasetId}Authorization
apiKey AuthorizationBearer <token>
API key shown once at creation and stored as a SHA-256 hash.
In: header
Path Parameters
datasetId*string
Dataset UUID.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/datasets/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "dataset": { "schemaVersion": 1, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "question": "string", "columns": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "label": "string", "ownership": "collected", "name": "string", "type": "string", "key": false, "description": "string" } ], "status": "draft", "schedule": "string", "rowCount": 0, "lastRun": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "queued", "completedAt": "2019-08-24T14:15:22Z" }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}